=== CMakeFiles/FortranCInterface/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.8

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/local/apps/cmake/2.8.10/bin/cmake

# The command to remove a file.
RM = /usr/local/apps/cmake/2.8.10/bin/cmake -E remove -f

# Escaping for special characters.
EQUALS = =

# The program to use to edit the cache.
CMAKE_EDIT_COMMAND = /usr/local/apps/cmake/2.8.10/bin/ccmake

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /usr/local/apps/cmake/2.8.10/share/cmake-2.8/Modules/FortranCInterface

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/graphics/cgs/git/magics/CMakeFiles/FortranCInterface

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@echo "Running CMake cache editor..."
	/usr/local/apps/cmake/2.8.10/bin/ccmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@echo "Running CMake to regenerate build system..."
	/usr/local/apps/cmake/2.8.10/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /home/graphics/cgs/git/magics/CMakeFiles/FortranCInterface/CMakeFiles /home/graphics/cgs/git/magics/CMakeFiles/FortranCInterface/CMakeFiles/progress.marks
	$(MAKE) -f CMakeFiles/Makefile2 all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/graphics/cgs/git/magics/CMakeFiles/FortranCInterface/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	$(MAKE) -f CMakeFiles/Makefile2 clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	$(MAKE) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	$(MAKE) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	$(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

#=============================================================================
# Target rules for targets named FortranCInterface

# Build rule for target.
FortranCInterface: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 FortranCInterface
.PHONY : FortranCInterface

# fast build rule for target.
FortranCInterface/fast:
	$(MAKE) -f CMakeFiles/FortranCInterface.dir/build.make CMakeFiles/FortranCInterface.dir/build
.PHONY : FortranCInterface/fast

#=============================================================================
# Target rules for targets named myfort

# Build rule for target.
myfort: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 myfort
.PHONY : myfort

# fast build rule for target.
myfort/fast:
	$(MAKE) -f CMakeFiles/myfort.dir/build.make CMakeFiles/myfort.dir/build
.PHONY : myfort/fast

#=============================================================================
# Target rules for targets named symbols

# Build rule for target.
symbols: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 symbols
.PHONY : symbols

# fast build rule for target.
symbols/fast:
	$(MAKE) -f CMakeFiles/symbols.dir/build.make CMakeFiles/symbols.dir/build
.PHONY : symbols/fast

call_mod.o: call_mod.f90.o
.PHONY : call_mod.o

# target to build an object file
call_mod.f90.o:
	$(MAKE) -f CMakeFiles/FortranCInterface.dir/build.make CMakeFiles/FortranCInterface.dir/call_mod.f90.o
.PHONY : call_mod.f90.o

call_sub.o: call_sub.f.o
.PHONY : call_sub.o

# target to build an object file
call_sub.f.o:
	$(MAKE) -f CMakeFiles/FortranCInterface.dir/build.make CMakeFiles/FortranCInterface.dir/call_sub.f.o
.PHONY : call_sub.f.o

main.o: main.F.o
.PHONY : main.o

# target to build an object file
main.F.o:
	$(MAKE) -f CMakeFiles/FortranCInterface.dir/build.make CMakeFiles/FortranCInterface.dir/main.F.o
.PHONY : main.F.o

my_module.o: my_module.f90.o
.PHONY : my_module.o

# target to build an object file
my_module.f90.o:
	$(MAKE) -f CMakeFiles/myfort.dir/build.make CMakeFiles/myfort.dir/my_module.f90.o
.PHONY : my_module.f90.o

my_module_.o: my_module_.c.o
.PHONY : my_module_.o

# target to build an object file
my_module_.c.o:
	$(MAKE) -f CMakeFiles/symbols.dir/build.make CMakeFiles/symbols.dir/my_module_.c.o
.PHONY : my_module_.c.o

my_module_.i: my_module_.c.i
.PHONY : my_module_.i

# target to preprocess a source file
my_module_.c.i:
	$(MAKE) -f CMakeFiles/symbols.dir/build.make CMakeFiles/symbols.dir/my_module_.c.i
.PHONY : my_module_.c.i

my_module_.s: my_module_.c.s
.PHONY : my_module_.s

# target to generate assembly for a file
my_module_.c.s:
	$(MAKE) -f CMakeFiles/symbols.dir/build.make CMakeFiles/symbols.dir/my_module_.c.s
.PHONY : my_module_.c.s

my_sub.o: my_sub.f.o
.PHONY : my_sub.o

# target to build an object file
my_sub.f.o:
	$(MAKE) -f CMakeFiles/myfort.dir/build.make CMakeFiles/myfort.dir/my_sub.f.o
.PHONY : my_sub.f.o

mymodule.o: mymodule.f90.o
.PHONY : mymodule.o

# target to build an object file
mymodule.f90.o:
	$(MAKE) -f CMakeFiles/myfort.dir/build.make CMakeFiles/myfort.dir/mymodule.f90.o
.PHONY : mymodule.f90.o

mymodule_.o: mymodule_.c.o
.PHONY : mymodule_.o

# target to build an object file
mymodule_.c.o:
	$(MAKE) -f CMakeFiles/symbols.dir/build.make CMakeFiles/symbols.dir/mymodule_.c.o
.PHONY : mymodule_.c.o

mymodule_.i: mymodule_.c.i
.PHONY : mymodule_.i

# target to preprocess a source file
mymodule_.c.i:
	$(MAKE) -f CMakeFiles/symbols.dir/build.make CMakeFiles/symbols.dir/mymodule_.c.i
.PHONY : mymodule_.c.i

mymodule_.s: mymodule_.c.s
.PHONY : mymodule_.s

# target to generate assembly for a file
mymodule_.c.s:
	$(MAKE) -f CMakeFiles/symbols.dir/build.make CMakeFiles/symbols.dir/mymodule_.c.s
.PHONY : mymodule_.c.s

mysub.o: mysub.f.o
.PHONY : mysub.o

# target to build an object file
mysub.f.o:
	$(MAKE) -f CMakeFiles/myfort.dir/build.make CMakeFiles/myfort.dir/mysub.f.o
.PHONY : mysub.f.o

symbols/MYMODULE_mp_MYSUB-UPPER.o: symbols/MYMODULE_mp_MYSUB-UPPER.c.o
.PHONY : symbols/MYMODULE_mp_MYSUB-UPPER.o

# target to build an object file
symbols/MYMODULE_mp_MYSUB-UPPER.c.o:
	$(MAKE) -f CMakeFiles/symbols.dir/build.make CMakeFiles/symbols.dir/symbols/MYMODULE_mp_MYSUB-UPPER.c.o
.PHONY : symbols/MYMODULE_mp_MYSUB-UPPER.c.o

symbols/MYMODULE_mp_MYSUB-UPPER.i: symbols/MYMODULE_mp_MYSUB-UPPER.c.i
.PHONY : symbols/MYMODULE_mp_MYSUB-UPPER.i

# target to preprocess a source file
symbols/MYMODULE_mp_MYSUB-UPPER.c.i:
	$(MAKE) -f CMakeFiles/symbols.dir/build.make CMakeFiles/symbols.dir/symbols/MYMODULE_mp_MYSUB-UPPER.c.i
.PHONY : symbols/MYMODULE_mp_MYSUB-UPPER.c.i

symbols/MYMODULE_mp_MYSUB-UPPER.s: symbols/MYMODULE_mp_MYSUB-UPPER.c.s
.PHONY : symbols/MYMODULE_mp_MYSUB-UPPER.s

# target to generate assembly for a file
symbols/MYMODULE_mp_MYSUB-UPPER.c.s:
	$(MAKE) -f CMakeFiles/symbols.dir/build.make CMakeFiles/symbols.dir/symbols/MYMODULE_mp_MYSUB-UPPER.c.s
.PHONY : symbols/MYMODULE_mp_MYSUB-UPPER.c.s

symbols/MYSUB-UPPER.o: symbols/MYSUB-UPPER.c.o
.PHONY : symbols/MYSUB-UPPER.o

# target to build an object file
symbols/MYSUB-UPPER.c.o:
	$(MAKE) -f CMakeFiles/symbols.dir/build.make CMakeFiles/symbols.dir/symbols/MYSUB-UPPER.c.o
.PHONY : symbols/MYSUB-UPPER.c.o

symbols/MYSUB-UPPER.i: symbols/MYSUB-UPPER.c.i
.PHONY : symbols/MYSUB-UPPER.i

# target to preprocess a source file
symbols/MYSUB-UPPER.c.i:
	$(MAKE) -f CMakeFiles/symbols.dir/build.make CMakeFiles/symbols.dir/symbols/MYSUB-UPPER.c.i
.PHONY : symbols/MYSUB-UPPER.c.i

symbols/MYSUB-UPPER.s: symbols/MYSUB-UPPER.c.s
.PHONY : symbols/MYSUB-UPPER.s

# target to generate assembly for a file
symbols/MYSUB-UPPER.c.s:
	$(MAKE) -f CMakeFiles/symbols.dir/build.make CMakeFiles/symbols.dir/symbols/MYSUB-UPPER.c.s
.PHONY : symbols/MYSUB-UPPER.c.s

symbols/MY_MODULE_mp_MY_SUB-UPPER.o: symbols/MY_MODULE_mp_MY_SUB-UPPER.c.o
.PHONY : symbols/MY_MODULE_mp_MY_SUB-UPPER.o

# target to build an object file
symbols/MY_MODULE_mp_MY_SUB-UPPER.c.o:
	$(MAKE) -f CMakeFiles/symbols.dir/build.make CMakeFiles/symbols.dir/symbols/MY_MODULE_mp_MY_SUB-UPPER.c.o
.PHONY : symbols/MY_MODULE_mp_MY_SUB-UPPER.c.o

symbols/MY_MODULE_mp_MY_SUB-UPPER.i: symbols/MY_MODULE_mp_MY_SUB-UPPER.c.i
.PHONY : symbols/MY_MODULE_mp_MY_SUB-UPPER.i

# target to preprocess a source file
symbols/MY_MODULE_mp_MY_SUB-UPPER.c.i:
	$(MAKE) -f CMakeFiles/symbols.dir/build.make CMakeFiles/symbols.dir/symbols/MY_MODULE_mp_MY_SUB-UPPER.c.i
.PHONY : symbols/MY_MODULE_mp_MY_SUB-UPPER.c.i

symbols/MY_MODULE_mp_MY_SUB-UPPER.s: symbols/MY_MODULE_mp_MY_SUB-UPPER.c.s
.PHONY : symbols/MY_MODULE_mp_MY_SUB-UPPER.s

# target to generate assembly for a file
symbols/MY_MODULE_mp_MY_SUB-UPPER.c.s:
	$(MAKE) -f CMakeFiles/symbols.dir/build.make CMakeFiles/symbols.dir/symbols/MY_MODULE_mp_MY_SUB-UPPER.c.s
.PHONY : symbols/MY_MODULE_mp_MY_SUB-UPPER.c.s

symbols/MY_SUB-UPPER.o: symbols/MY_SUB-UPPER.c.o
.PHONY : symbols/MY_SUB-UPPER.o

# target to build an object file
symbols/MY_SUB-UPPER.c.o:
	$(MAKE) -f CMakeFiles/symbols.dir/build.make CMakeFiles/symbols.dir/symbols/MY_SUB-UPPER.c.o
.PHONY : symbols/MY_SUB-UPPER.c.o

symbols/MY_SUB-UPPER.i: symbols/MY_SUB-UPPER.c.i
.PHONY : symbols/MY_SUB-UPPER.i

# target to preprocess a source file
symbols/MY_SUB-UPPER.c.i:
	$(MAKE) -f CMakeFiles/symbols.dir/build.make CMakeFiles/symbols.dir/symbols/MY_SUB-UPPER.c.i
.PHONY : symbols/MY_SUB-UPPER.c.i

symbols/MY_SUB-UPPER.s: symbols/MY_SUB-UPPER.c.s
.PHONY : symbols/MY_SUB-UPPER.s

# target to generate assembly for a file
symbols/MY_SUB-UPPER.c.s:
	$(MAKE) -f CMakeFiles/symbols.dir/build.make CMakeFiles/symbols.dir/symbols/MY_SUB-UPPER.c.s
.PHONY : symbols/MY_SUB-UPPER.c.s

symbols/__my_module_MOD_my_sub.o: symbols/__my_module_MOD_my_sub.c.o
.PHONY : symbols/__my_module_MOD_my_sub.o

# target to build an object file
symbols/__my_module_MOD_my_sub.c.o:
	$(MAKE) -f CMakeFiles/symbols.dir/build.make CMakeFiles/symbols.dir/symbols/__my_module_MOD_my_sub.c.o
.PHONY : symbols/__my_module_MOD_my_sub.c.o

symbols/__my_module_MOD_my_sub.i: symbols/__my_module_MOD_my_sub.c.i
.PHONY : symbols/__my_module_MOD_my_sub.i

# target to preprocess a source file
symbols/__my_module_MOD_my_sub.c.i:
	$(MAKE) -f CMakeFiles/symbols.dir/build.make CMakeFiles/symbols.dir/symbols/__my_module_MOD_my_sub.c.i
.PHONY : symbols/__my_module_MOD_my_sub.c.i

symbols/__my_module_MOD_my_sub.s: symbols/__my_module_MOD_my_sub.c.s
.PHONY : symbols/__my_module_MOD_my_sub.s

# target to generate assembly for a file
symbols/__my_module_MOD_my_sub.c.s:
	$(MAKE) -f CMakeFiles/symbols.dir/build.make CMakeFiles/symbols.dir/symbols/__my_module_MOD_my_sub.c.s
.PHONY : symbols/__my_module_MOD_my_sub.c.s

symbols/__my_module_NMOD_my_sub.o: symbols/__my_module_NMOD_my_sub.c.o
.PHONY : symbols/__my_module_NMOD_my_sub.o

# target to build an object file
symbols/__my_module_NMOD_my_sub.c.o:
