=== src/visualisers/CMakeLists.txt ===
set( _visualisers_srcs
Akima760.cc
Akima760Method.h
Akima474.cc
Akima474Method.h
ArrowPlotting.cc
ArrowPlotting.h
AutomaticContourMethod.h
Axis.cc
Axis.h
AxisControl.cc
AxisControl.h
AxisItem.cc
AxisItem.h
AxisLine.h
AxisMethod.cc
AxisMethod.h
AxisType.cc
AxisType.h
Bar.cc
Bar.h
BothValuePlotMethod.h
Boundaries.cc
Boundaries.h
BoxPlotBasicItem.h
BoxPlotItem.cc
BoxPlotItem.h
BoxPlotVisualiser.cc
BoxPlotVisualiser.h
CalculateColourTechnique.cc
CalculateColourTechnique.h
CalcStreamlines.cc  
CalcStreamlines.h
CalmIndicator.h
CellShading.cc
CellShading.h
Cities.cc
Cities.h
CoastPlotting.cc
CoastPlotting.h
Coastlines.cc
Coastlines.h
ColourSelection.cc
ColourSelection.h
ColourTechnique.cc
ColourTechnique.h
Contour.cc
Contour.h
ContourLibrary.cc
ContourLibrary.h
ContourMethod.h
CountSelectionType.cc
CountSelectionType.h
Curve.cc
Curve.h
DateAxis.cc
DateAxis.h
DefinitionTable.h
DefinitionTable.hcc
DotPolyShadingMethod.h
EpsForecastPlot.h
EpsGraph.cc
EpsGraph.h
EquidistantTableMode.cc
EquidistantTableMode.h
Filter.cc
Filter.h
FlagPlotting.cc
FlagPlotting.h
FloatSelection.cc
FloatSelection.h
Graph.h
GraphPlotting.cc
GraphPlotting.h
GraphShade.cc
GraphShade.h
GraphShadeStyle.cc
GraphShadeStyle.h
GribTables.h
GridPlotting.cc
GridPlotting.h
HatchPolyShadingMethod.h
HeightSelection.cc
HeightSelection.h
HeightSelectionCount.h
HeightSelectionList.h
HeightTechnique.cc
HeightTechnique.h
HiLo.cc
HiLo.h
HiLoBase.h
HiLoBoth.h
HiLoMarker.h
HiLoMarkerBase.h
HiLoNumber.h
HiLoText.h
HiLoTechnique.h
HistoIndividualMode.h
HistoMode.h
HistoTableMode.h
Histogram.cc
Histogram.h
ImageCalculateColourTechnique.h
ImageListColourTechnique.h
ImagePlotting.cc
ImagePlotting.h
ImportPlot.h
IntervalSelectionType.cc
IntervalSelectionType.h
Intervals.h
IsoHelper.cc
IsoHelper.h
IsoHighlight.h
IsoLabel.cc
IsoLabel.h
IsoPlot.cc
IsoPlot.h
IsoShading.cc
IsoShading.h
LabelPlotting.cc
LabelPlotting.h
LabelPlottingBase.h
LegendMethod.cc
LegendMethod.h
LevelListSelectionType.cc
LevelListSelectionType.h
LevelSelection.cc
LevelSelection.h
LinearTableMode.cc
LinearTableMode.h
ListColourTechnique.cc
ListColourTechnique.h
LookupTableMode.cc
LookupTableMode.h
MarkerSelection.h
MarkerSelectionCount.h
MarkerSelectionList.h
MarkerShadingTechnique.cc
MarkerShadingTechnique.h
MarkerValuePlotMethod.h
MetgramGraph.cc
MetgramGraph.h
MetgramStyle.cc
MetgramStyle.h
NormalTableMode.cc
NormalTableMode.h
ObsItem.h
ObsItemFamily.cc
ObsItemFamily.h
ObsPlotting.cc
ObsPlotting.h
ObsTable.cc
ObsTable.h
OriginMarker.h
OutLayerTechnique.cc
OutLayerTechnique.h
PolyShadingMethod.cc
PolyShadingMethod.h
PolyShadingTechnique.cc
PolyShadingTechnique.h
ShadingTechnique.h
SegmentJoiner.h
SegmentJoiner.cc
SimplePolylineVisualiser.cc
SimplePolylineVisualiser.h
Streamlines.h
Streamlines.cc
SymbolAdvancedTableMode.cc
SymbolAdvancedTableMode.h
SymbolMode.cc
SymbolMode.h
SymbolPlotting.cc
SymbolPlotting.h
TaylorGrid.cc
TaylorGrid.h
TephiGrid.cc  
TephiGrid.h
TextOrientation.cc
TextOrientation.h
UserDate.cc
UserDate.h
ValuePlot.cc
ValuePlot.h
ValuePlotBase.h
ValuePlotMethod.h
VisDefInfo.cc
VisDefInfo.h
Wind.cc
Wind.h
WindPlotting.cc
WindPlotting.h
)

foreach( file ${_visualisers_srcs} )
  list( APPEND visualisers_srcs visualisers/${file} )
endforeach()

set( visualisers_srcs ${visualisers_srcs} PARENT_SCOPE )

if ( ENABLE_METVIEW )
    list (APPEND metview_include 
            visualisers/LegendMethod.h      
             visualisers/ImagePlotting.h
             visualisers/LookupTableMode.h
            )
    set( metview_include ${metview_include} PARENT_SCOPE )
endif()
