## magics++ 2.8.0.dfsg

=== debian/changelog ===
magics++ (2.8.0.dfsg-4build1) maverick; urgency=low

  * No changes upload for libnetcdf4 -> libnetcdf6 transition

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Mon, 13 Sep 2010 21:07:04 +0200

magics++ (2.8.0.dfsg-4) unstable; urgency=low

  * Build-Dep: libxml-parser-perl and python for tests.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 07 Jan 2010 12:46:27 +0000

magics++ (2.8.0.dfsg-3) unstable; urgency=low

  * Add Build-Depends: libtool. 
  * Set MAGPLUS_HOME in debian/rules so that tests run, and add gfortran 
    dependency for fortran tests, Add Build-Dep on ttf-dejavu-core for testing.
  * Disable printer_test as it requires a data file thats missing. 

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 06 Jan 2010 21:30:31 +0000

magics++ (2.8.0.dfsg-2) unstable; urgency=low

  * Patch: enable static libs in configure.ac. Closes: #562120. 
  * Add dynamic_linking.patch to link libs to libMagPlus directly rather
    than just magmlx, and remove libs via --as-needed.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 23 Dec 2009 09:33:38 +0000

magics++ (2.8.0.dfsg-1) unstable; urgency=low

  * New upstream release. 
  * Add libjasper dependency for grib-api. Add Closes: #562040.
  * Added libcairo2-dev, libpango1.0-dev build dependencies now needed.
  * Removed dependency on quilt ; now source format 3.0, so dpkg handles
   this. 
  * EpsBufr.patch now in upstream; removed

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 22 Dec 2009 11:26:27 +0000

magics++ (2.6.4~dfsg-1) unstable; urgency=low

  * Initial Debian release. Closes: #522984.
  * Removed pdfs, making dfsg-free version.
  * Removed terralib from sources; now use external terralib library, for
    licensing reasons. 
  * Change version number to ~ before upload, so non-dfsg can go away if 
    PDF sources issue solved.
  * Move to Standards-Version: 3.8.3
  * DH_COMPAT is now 7. 
  * Moved shared data to libmagics++-data.
  * Build against libgrib-api, libemos-dev now in unstable.
  * libmagics++ depends on ttf-dejavu-* fonts rather than includes them;
  * Build-depend on libhdf5-serial-dev rather than virtual libhdf5-dev
  * Removed ttf fonts. 

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 06 Nov 2009 19:54:22 +0000
